Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.web.bindery.requestfactory.server
Enum RequestFactoryJarExtractor.Mode

    java.lang.Object
      java.lang.Enum<RequestFactoryJarExtractor.Mode>
          com.google.web.bindery.requestfactory.server.RequestFactoryJarExtractor.Mode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RequestFactoryJarExtractor.Mode>

Enclosing class:
  RequestFactoryJarExtractor

    public static enum RequestFactoryJarExtractor.Mode

extends java.lang.Enum<RequestFactoryJarExtractor.Mode>

Controls what is emitted by the tool.

Enum Constant Summary
`BOTH`
`CLASSES`
`SOURCE`

Method Summary
`boolean` | `isEmitClasses()`
`boolean` | `isEmitSource()`
`static RequestFactoryJarExtractor.Mode` | `match(java.lang.String target)`
`protected abstract boolean` | `matches(java.lang.String target)`
`static RequestFactoryJarExtractor.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RequestFactoryJarExtractor.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOTH

    public static final RequestFactoryJarExtractor.Mode BOTH

### SOURCE

    public static final RequestFactoryJarExtractor.Mode SOURCE

### CLASSES

    public static final RequestFactoryJarExtractor.Mode CLASSES

Method Detail

### values

    public static RequestFactoryJarExtractor.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RequestFactoryJarExtractor.Mode c : RequestFactoryJarExtractor.Mode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RequestFactoryJarExtractor.Mode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### match

    public static RequestFactoryJarExtractor.Mode match(java.lang.String target)

### isEmitClasses

    public boolean isEmitClasses()

### isEmitSource

    public boolean isEmitSource()

### matches

    protected abstract boolean matches(java.lang.String target)

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD